Description
The foreman-config script since #2343 doesn't change boolean settings:

2.0.0p0 :001 > Setting.find_by_name('signo_sso') .value

Setting Load (0.2ms) SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'signo_sso'
ORDER BY name LIMIT 1
=> false

$ script/foreman-config —-e development -k signo_sso —-v true
true

2.0.0p0 :002 > Setting.find_by_name('signo_sso') .value

Setting Load (0.2ms) SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'signo_sso'
ORDER BY name LIMIT 1
=> false

It appears this is due to the interface change on the setting model, where the controller was updated and not this script, which
interacts directly with the model.

(from https://bugzilla.redhat.com/show_bug.cgi?id=976578)

Related issues:
Related to Foreman - Bug #2343: app/models/setting.rb#default chokes on nil a... Closed 03/20/2013

Associated revisions

Revision 65ae867c - 06/20/2013 07:12 PM - Dominic Cleal

fixes #2686 - use setting model's string parser to update values
(cherry picked from commit 5d9073bba52b502b08b8b67b7f546eb4d481e5c1)

Revision a30ee462 - 06/21/2013 03:59 AM - Dominic Cleal

fixes #2686 - use setting model's string parser to update values
(cherry picked from commit 5d9073bba52b502b08b8b67b7{546eb4d481e5c1)
(cherry picked from commit 65ae867c347ad93ce08e85397d55188d9b6220cb)

History

#1 - 06/20/2013 06:12 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/735

#2 - 06/20/2013 07:17 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset 65ae867c347ad93ce08e85397d55188d9b6220cb.

05/17/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/65ae867c347ad93ce08e85397d55188d9b6220cb
http://www.tcpdf.org

